<?php
/*
    Load Includes - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alves,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)   : initial release
      v1.3 (06 January 2003)    : added $mpversion variable
      v1.6 (23 January 2003)    : updated $mpversion
                                  added page loaded in n.nn seconds information
      v1.7 (28 January 2003)    : updated $mpversion
                                  added $endurl variable to switch language without going back to index page (thanks Alex)
      v1.8 (05 February 2003)   : updated $mpversion
      v1.9 (11 February 2003)   : updated $mpversion and added $mpdate
      v2.0 (27 February 2003)   : updated $mpversion and $mpdate
      v2.1 (10 March 2003)      : updated $mpversion and $mpdate
      v2.2 (22 April 2003)      : updated $mpversion and $mpdate
                                  split of language file in two xx-web.inc and xx-admin.inc for faster loading
      v2.3 (27 July 2003)       : updated $mpversion and $mpdate
                                  added user prefs management by cookie
      v2.4 (24 September 2003)  : updated $mpversion and $mpdate
                                  secured the lng command line parameter (Secunia Advisory: SA8750)
                                  secured cookie & $endurl parameters
      v2.4p1 (26 Sept. 2003)    : updated $mpversion and $mpdate
      v2.4p3 (29 Sept. 2003)    : updated $mpversion and $mpdate
      v2.4p4 (04 October 2003)  : Cookie security correction (by frog-m@n, http://www.phpsecure.info, thanks)
                                  updated $mpversion and $mpdate
      v3.0 (25 February 2004)   : updated $mpversion and $mpdate
                                : added skin management
                                  added UID management for Tiny Messages
                                  compatibility with php.ini register_globals=off parameter (thanks JonnyQuest)
                                  replaced $REQUEST_URI global variable by $SCRIPT_NAME for IIS compatibility (thanks Erik)
                                  added limit Pseudo to basic [a-Z][0-9] characters and to 20 characters
      v3.0p1 (26 Feb 2004)      : updated $mpversion and $mpdate
                                  include only once reglobals (time saving when in admin)
      v3.0p2 (09 April 2004)    : updated $mpversion and $mpdate
                                  compatibility fix: now GuppY is fully compatible with Abyss webserver and IIS
      v3.0p3 (29 July 2004)     : security patch - thanks to L0rd L4m3R
                                  updated $mpversion and $mpdate
      v3.0p4 (06 September 2004): added CutLongWord to limit the size of the inputs
      v4.0  (06 December 2004)  : updated $mpversion and $mpdate
                                  added browser test (by Icare)
                                  updated language control (by Jean-Mi)
                                  added $lang array - thanks KnoB
                                  added userpref[8] to [10] (by Nico)
                                  added maintain option (by Nico)
      v4.5 (30 March 2005)      : new update (by Jean-Mi)
*/

if (@eregi("//|/\*|#|:/|\.\./|document.cookie|/script", $_SERVER["QUERY_STRING"])) {
  die("Requte non autorise - Request not allowed");
}
if (stristr($_SERVER["SCRIPT_NAME"], "includes.inc")) {
  header("location:../index.php");
  die();
}

$mpversion = "4.5.8";
$mpdate = "October 16, 2005";
$lang=array("","");
include(CHEMIN."inc/reglobals.inc");
include(CHEMIN."data/config.inc");
$usercookie = "GuppYUser";
$userprefs = array();
if (!empty($_COOKIE[$usercookie])) {
  $userprefs = explode("||",$_COOKIE[$usercookie]);
  $userprefs[0] = strip_tags($userprefs[0]);
  $userprefs[1] = eregi_replace("[^a-zA-Z0-9_]","",substr(strip_tags($userprefs[1]),0,20));
  $userprefs[2] = strip_tags($userprefs[2]);
  $userprefs[3] = strip_tags($userprefs[3]);
  $userprefs[4] = strip_tags($userprefs[4]);
  $userprefs[5] = strip_tags($userprefs[5]);
  $userprefs[6] = str_replace("\n","<br />",strip_tags(str_replace("<br />","\n",$userprefs[6])));
  if (($userprefs[0] == $lang[0] || $userprefs[0] == $lang[1]) && empty($lng)) {
    $lng = $userprefs[0];
  }
  $userprefs[7] = strip_tags($userprefs[7]);
  $userprefs[8] = strip_tags($userprefs[8]);
  $userprefs[9] = strip_tags($userprefs[9]);
  $userprefs[10] = strip_tags($userprefs[10]);
}
$lng = strip_tags($lng);
if (empty($lng)) {
  $lng = $lang[0];
} elseif (($lng != $lang[0]) && ($lng != $lang[1])) {
  $lng = $lang[0];
}
include(CHEMIN."inc/functions.php");
StartTimer();
if (!isset($_SERVER['REQUEST_URI'])) {
  $REQUEST_URI = $_SERVER['SCRIPT_NAME']."?".$_SERVER['QUERY_STRING'];
}
$endurl = strip_tags($REQUEST_URI);
if (!empty($userprefs[4])) {
  include(CHEMIN.INCREP."lang/".$userprefs[4]."-web".INCEXT);
}
else {
  include(CHEMIN.INCREP."lang/".$lng."-web".INCEXT);
}
if (strpos($endurl, "/admin/") !== false) {
  include(CHEMIN.INCREP."lang/".$lng."-admin".INCEXT);
}
$flag1 = CHEMIN.INCREP."lang/".$lang[0].".gif";
$flag2 = CHEMIN.INCREP."lang/".$lang[1].".gif";

if (stristr($_SERVER['SCRIPT_NAME'], "calendar.php") === false) {
  include(CHEMIN.INCREP."log.inc");
}

if($userprefs[10]!="") {
  $page[14]=$userprefs[10];
}
else {
  $page[14]=$page[14];
}

if (!@include(CHEMIN.INCREP."img/skin/".$page[14]."/skin".INCEXT)) {
  include(CHEMIN.INCREP."img/skin/no_skin/skin".INCEXT);
}
if ((ereg("MSIE", getenv("HTTP_USER_AGENT"))) and (ereg("compatible", getenv("HTTP_USER_AGENT")))
and (!ereg("Opera", getenv("HTTP_USER_AGENT"))) and (!ereg("Gecko", getenv("HTTP_USER_AGENT")))
and (!ereg("Konqueror", getenv("HTTP_USER_AGENT"))))
  $browser = "OK";
elseif ((ereg("Gecko", getenv("HTTP_USER_AGENT"))) and (!ereg("Safari", getenv("HTTP_USER_AGENT"))) and (!ereg("Konqueror", getenv("HTTP_USER_AGENT"))))
  $browser = "OK";
elseif (ereg("Konqueror", getenv("HTTP_USER_AGENT")))
  $browser = "KO";
elseif (ereg("Safari", getenv("HTTP_USER_AGENT")))
  $browser = "KO";
else
  $browser = "KO";
if (strpos($endurl, "/admin/") == false) {
  if($serviz[44]=="on" && $serviz[31]!=$userprefs[1]) {
    header('Location: maintenance.php');
  }
}
?>
